import {TesoftComponent} from "../scripts/main.ts";

export class TesoftError extends TesoftComponent {
    constructor() {
        super();

        const template = document.getElementById("tesoft-error-template") as HTMLTemplateElement;
        const templateContent = template.content;

        const shadowRoot = this.attachShadow({mode: "open"});
        shadowRoot.appendChild(templateContent.cloneNode(true));
    }
}

customElements.define("tesoft-error", TesoftError);
